<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>NullWorld (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NullWorld (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":9,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/world/NbtValued.html" title="interface in com.sk89q.worldedit.world"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/world/NullWorld.html" target="_top">Frames</a></li>
<li><a href="NullWorld.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.world</div>
<h2 title="Class NullWorld" class="title">Class NullWorld</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html" title="class in com.sk89q.worldedit.world">com.sk89q.worldedit.world.AbstractWorld</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.world.NullWorld</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>, <a href="../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a>, <a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a>, <a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">NullWorld</span>
extends <a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html" title="class in com.sk89q.worldedit.world">AbstractWorld</a></pre>
<div class="block">A null implementation of <a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world"><code>World</code></a> that drops all changes and
 returns dummy data.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#NullWorld--">NullWorld</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#clearContainerBlockContents-com.sk89q.worldedit.math.BlockVector3-">clearContainerBlockContents</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Clear a chest's contents.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#createEntity-com.sk89q.worldedit.util.Location-com.sk89q.worldedit.entity.BaseEntity-">createEntity</a></span>(<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;location,
            <a href="../../../../com/sk89q/worldedit/entity/BaseEntity.html" title="class in com.sk89q.worldedit.entity">BaseEntity</a>&nbsp;entity)</code>
<div class="block">Create an entity at the given location.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#dropItem-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.blocks.BaseItemStack-">dropItem</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position,
        <a href="../../../../com/sk89q/worldedit/blocks/BaseItemStack.html" title="class in com.sk89q.worldedit.blocks">BaseItemStack</a>&nbsp;item)</code>
<div class="block">Drop one stack of the item at the given position.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#generateTree-com.sk89q.worldedit.util.TreeGenerator.TreeType-com.sk89q.worldedit.EditSession-com.sk89q.worldedit.math.BlockVector3-">generateTree</a></span>(<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a>&nbsp;type,
            <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
            <a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Generate a tree at the given position.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/world/biome/BiomeType.html" title="class in com.sk89q.worldedit.world.biome">BiomeType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#getBiome-com.sk89q.worldedit.math.BlockVector2-">getBiome</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&nbsp;position)</code>
<div class="block">Get the biome at the given location.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#getBlock-com.sk89q.worldedit.math.BlockVector3-">getBlock</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Get a snapshot of the block at the given location.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#getBlockLightLevel-com.sk89q.worldedit.math.BlockVector3-">getBlockLightLevel</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Get the light level at the given block.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#getEntities--">getEntities</a></span>()</code>
<div class="block">Get a list of all entities.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#getEntities-com.sk89q.worldedit.regions.Region-">getEntities</a></span>(<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</code>
<div class="block">Get a list of all entities within the given region.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#getFullBlock-com.sk89q.worldedit.math.BlockVector3-">getFullBlock</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Get a immutable snapshot of the block at the given location.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/world/NullWorld.html" title="class in com.sk89q.worldedit.world">NullWorld</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#getInstance--">getInstance</a></span>()</code>
<div class="block">Return an instance of this null world.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#getName--">getName</a></span>()</code>
<div class="block">Get the name of the world.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#getRemainingWeatherDuration--">getRemainingWeatherDuration</a></span>()</code>
<div class="block">Gets the remaining weather duration.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#getSpawnPosition--">getSpawnPosition</a></span>()</code>
<div class="block">Gets the spawn position of this world.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/world/weather/WeatherType.html" title="class in com.sk89q.worldedit.world.weather">WeatherType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#getWeather--">getWeather</a></span>()</code>
<div class="block">Gets the weather type of the world.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#notifyAndLightBlock-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockState-">notifyAndLightBlock</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                   <a href="../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;previousType)</code>
<div class="block">Notifies the simulation that the block at the given location has
 been changed and it must be re-lighted (and issue other events).</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#regenerate-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.EditSession-">regenerate</a></span>(<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region,
          <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession)</code>
<div class="block">Regenerate an area.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#setBiome-com.sk89q.worldedit.math.BlockVector2-com.sk89q.worldedit.world.biome.BiomeType-">setBiome</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&nbsp;position,
        <a href="../../../../com/sk89q/worldedit/world/biome/BiomeType.html" title="class in com.sk89q.worldedit.world.biome">BiomeType</a>&nbsp;biome)</code>
<div class="block">Set the biome.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>&lt;B extends <a href="../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;B&gt;&gt;<br>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#setBlock-com.sk89q.worldedit.math.BlockVector3-B-boolean-">setBlock</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
        B&nbsp;block,
        boolean&nbsp;notifyAndLight)</code>
<div class="block">Similar to <a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-"><code>OutputExtent.setBlock(BlockVector3, BlockStateHolder)</code></a> but a
 <code>notifyAndLight</code> parameter indicates whether adjacent blocks
 should be notified that changes have been made and lighting operations
 should be executed.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#setWeather-com.sk89q.worldedit.world.weather.WeatherType-">setWeather</a></span>(<a href="../../../../com/sk89q/worldedit/world/weather/WeatherType.html" title="class in com.sk89q.worldedit.world.weather">WeatherType</a>&nbsp;weatherType)</code>
<div class="block">Sets the weather type of the world.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#setWeather-com.sk89q.worldedit.world.weather.WeatherType-long-">setWeather</a></span>(<a href="../../../../com/sk89q/worldedit/world/weather/WeatherType.html" title="class in com.sk89q.worldedit.world.weather">WeatherType</a>&nbsp;weatherType,
          long&nbsp;duration)</code>
<div class="block">Sets the weather type of the world.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/world/NullWorld.html#simulateBlockMine-com.sk89q.worldedit.math.BlockVector3-">simulateBlockMine</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Simulate a block being mined at the given position.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.world.AbstractWorld">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.world.<a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html" title="class in com.sk89q.worldedit.world">AbstractWorld</a></h3>
<code><a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#checkLoadedChunk-com.sk89q.worldedit.math.BlockVector3-">checkLoadedChunk</a>, <a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#commit--">commit</a>, <a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#createLiquidMask--">createLiquidMask</a>, <a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#dropItem-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.blocks.BaseItemStack-int-">dropItem</a>, <a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#fixAfterFastMode-java.lang.Iterable-">fixAfterFastMode</a>, <a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#fixLighting-java.lang.Iterable-">fixLighting</a>, <a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#getMaximumPoint--">getMaximumPoint</a>, <a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#getMaxY--">getMaxY</a>, <a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#getMinimumPoint--">getMinimumPoint</a>, <a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#playEffect-com.sk89q.worldedit.math.Vector3-int-int-">playEffect</a>, <a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#queueBlockBreakEffect-com.sk89q.worldedit.extension.platform.Platform-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockType-double-">queueBlockBreakEffect</a>, <a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#setBlock-com.sk89q.worldedit.math.BlockVector3-B-">setBlock</a>, <a href="../../../../com/sk89q/worldedit/world/AbstractWorld.html#useItem-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.blocks.BaseItem-com.sk89q.worldedit.util.Direction-">useItem</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.world.World">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.world.<a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></h3>
<code><a href="../../../../com/sk89q/worldedit/world/World.html#equals-java.lang.Object-">equals</a>, <a href="../../../../com/sk89q/worldedit/world/World.html#hashCode--">hashCode</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="NullWorld--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>NullWorld</h4>
<pre>protected&nbsp;NullWorld()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#getName--">World</a></code></span></div>
<div class="block">Get the name of the world.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a name for the world</dd>
</dl>
</li>
</ul>
<a name="setBlock-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockStateHolder-boolean-">
<!--   -->
</a><a name="setBlock-com.sk89q.worldedit.math.BlockVector3-B-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBlock</h4>
<pre>public&nbsp;&lt;B extends <a href="../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;B&gt;&gt;&nbsp;boolean&nbsp;setBlock(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                                                        B&nbsp;block,
                                                        boolean&nbsp;notifyAndLight)
                                                 throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#setBlock-com.sk89q.worldedit.math.BlockVector3-B-boolean-">World</a></code></span></div>
<div class="block">Similar to <a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-"><code>OutputExtent.setBlock(BlockVector3, BlockStateHolder)</code></a> but a
 <code>notifyAndLight</code> parameter indicates whether adjacent blocks
 should be notified that changes have been made and lighting operations
 should be executed.

 <p>If it's not possible to skip lighting, or if it's not possible to
 avoid notifying adjacent blocks, then attempt to meet the
 specification as best as possible.</p>

 <p>On implementations where the world is not simulated, the
 <code>notifyAndLight</code> parameter has no effect either way.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - position of the block</dd>
<dd><code>block</code> - block to set</dd>
<dd><code>notifyAndLight</code> - true to to notify and light</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the block was successfully set (return value may not be accurate)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="notifyAndLightBlock-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockState-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>notifyAndLightBlock</h4>
<pre>public&nbsp;boolean&nbsp;notifyAndLightBlock(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                                   <a href="../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;previousType)
                            throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#notifyAndLightBlock-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockState-">World</a></code></span></div>
<div class="block">Notifies the simulation that the block at the given location has
 been changed and it must be re-lighted (and issue other events).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - position of the block</dd>
<dd><code>previousType</code> - the type of the previous block that was there</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the block was successfully notified</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="getBlockLightLevel-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockLightLevel</h4>
<pre>public&nbsp;int&nbsp;getBlockLightLevel(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#getBlockLightLevel-com.sk89q.worldedit.math.BlockVector3-">World</a></code></span></div>
<div class="block">Get the light level at the given block.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the light level (0-15)</dd>
</dl>
</li>
</ul>
<a name="clearContainerBlockContents-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearContainerBlockContents</h4>
<pre>public&nbsp;boolean&nbsp;clearContainerBlockContents(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#clearContainerBlockContents-com.sk89q.worldedit.math.BlockVector3-">World</a></code></span></div>
<div class="block">Clear a chest's contents.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the container was cleared</dd>
</dl>
</li>
</ul>
<a name="getBiome-com.sk89q.worldedit.math.BlockVector2-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBiome</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/world/biome/BiomeType.html" title="class in com.sk89q.worldedit.world.biome">BiomeType</a>&nbsp;getBiome(<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&nbsp;position)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/extent/InputExtent.html#getBiome-com.sk89q.worldedit.math.BlockVector2-">InputExtent</a></code></span></div>
<div class="block">Get the biome at the given location.

 <p>If there is no biome available, then the ocean biome should be
 returned.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the (x, z) location to check the biome at</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the biome at the location</dd>
</dl>
</li>
</ul>
<a name="setBiome-com.sk89q.worldedit.math.BlockVector2-com.sk89q.worldedit.world.biome.BiomeType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBiome</h4>
<pre>public&nbsp;boolean&nbsp;setBiome(<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&nbsp;position,
                        <a href="../../../../com/sk89q/worldedit/world/biome/BiomeType.html" title="class in com.sk89q.worldedit.world.biome">BiomeType</a>&nbsp;biome)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBiome-com.sk89q.worldedit.math.BlockVector2-com.sk89q.worldedit.world.biome.BiomeType-">OutputExtent</a></code></span></div>
<div class="block">Set the biome.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the (x, z) location to set the biome at</dd>
<dd><code>biome</code> - the biome to set to</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the biome was successfully set (return value may not be accurate)</dd>
</dl>
</li>
</ul>
<a name="dropItem-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.blocks.BaseItemStack-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dropItem</h4>
<pre>public&nbsp;void&nbsp;dropItem(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position,
                     <a href="../../../../com/sk89q/worldedit/blocks/BaseItemStack.html" title="class in com.sk89q.worldedit.blocks">BaseItemStack</a>&nbsp;item)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#dropItem-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.blocks.BaseItemStack-">World</a></code></span></div>
<div class="block">Drop one stack of the item at the given position.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dd><code>item</code> - the item to drop</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../com/sk89q/worldedit/world/World.html#dropItem-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.blocks.BaseItemStack-int-"><code>shortcut method to specify the number of stacks</code></a></dd>
</dl>
</li>
</ul>
<a name="simulateBlockMine-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>simulateBlockMine</h4>
<pre>public&nbsp;void&nbsp;simulateBlockMine(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#simulateBlockMine-com.sk89q.worldedit.math.BlockVector3-">World</a></code></span></div>
<div class="block">Simulate a block being mined at the given position.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
</dl>
</li>
</ul>
<a name="regenerate-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.EditSession-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>regenerate</h4>
<pre>public&nbsp;boolean&nbsp;regenerate(<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region,
                          <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#regenerate-com.sk89q.worldedit.regions.Region-com.sk89q.worldedit.EditSession-">World</a></code></span></div>
<div class="block">Regenerate an area.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>region</code> - the region</dd>
<dd><code>editSession</code> - the <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit"><code>EditSession</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if re-generation was successful</dd>
</dl>
</li>
</ul>
<a name="generateTree-com.sk89q.worldedit.util.TreeGenerator.TreeType-com.sk89q.worldedit.EditSession-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateTree</h4>
<pre>public&nbsp;boolean&nbsp;generateTree(<a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a>&nbsp;type,
                            <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
                            <a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)
                     throws <a href="../../../../com/sk89q/worldedit/MaxChangedBlocksException.html" title="class in com.sk89q.worldedit">MaxChangedBlocksException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#generateTree-com.sk89q.worldedit.util.TreeGenerator.TreeType-com.sk89q.worldedit.EditSession-com.sk89q.worldedit.math.BlockVector3-">World</a></code></span></div>
<div class="block">Generate a tree at the given position.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - the tree type</dd>
<dd><code>editSession</code> - the <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit"><code>EditSession</code></a></dd>
<dd><code>position</code> - the position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if generation was successful</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/MaxChangedBlocksException.html" title="class in com.sk89q.worldedit">MaxChangedBlocksException</a></code> - thrown if too many blocks were changed</dd>
</dl>
</li>
</ul>
<a name="getWeather--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWeather</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/world/weather/WeatherType.html" title="class in com.sk89q.worldedit.world.weather">WeatherType</a>&nbsp;getWeather()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#getWeather--">World</a></code></span></div>
<div class="block">Gets the weather type of the world.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The weather</dd>
</dl>
</li>
</ul>
<a name="getRemainingWeatherDuration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRemainingWeatherDuration</h4>
<pre>public&nbsp;long&nbsp;getRemainingWeatherDuration()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#getRemainingWeatherDuration--">World</a></code></span></div>
<div class="block">Gets the remaining weather duration.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The weather duration</dd>
</dl>
</li>
</ul>
<a name="setWeather-com.sk89q.worldedit.world.weather.WeatherType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWeather</h4>
<pre>public&nbsp;void&nbsp;setWeather(<a href="../../../../com/sk89q/worldedit/world/weather/WeatherType.html" title="class in com.sk89q.worldedit.world.weather">WeatherType</a>&nbsp;weatherType)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#setWeather-com.sk89q.worldedit.world.weather.WeatherType-">World</a></code></span></div>
<div class="block">Sets the weather type of the world.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>weatherType</code> - The weather type</dd>
</dl>
</li>
</ul>
<a name="setWeather-com.sk89q.worldedit.world.weather.WeatherType-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWeather</h4>
<pre>public&nbsp;void&nbsp;setWeather(<a href="../../../../com/sk89q/worldedit/world/weather/WeatherType.html" title="class in com.sk89q.worldedit.world.weather">WeatherType</a>&nbsp;weatherType,
                       long&nbsp;duration)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#setWeather-com.sk89q.worldedit.world.weather.WeatherType-long-">World</a></code></span></div>
<div class="block">Sets the weather type of the world.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>weatherType</code> - The weather type</dd>
<dd><code>duration</code> - The duration of the weather</dd>
</dl>
</li>
</ul>
<a name="getSpawnPosition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSpawnPosition</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;getSpawnPosition()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/world/World.html#getSpawnPosition--">World</a></code></span></div>
<div class="block">Gets the spawn position of this world.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The spawn position</dd>
</dl>
</li>
</ul>
<a name="getBlock-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlock</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block">BlockState</a>&nbsp;getBlock(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/extent/InputExtent.html#getBlock-com.sk89q.worldedit.math.BlockVector3-">InputExtent</a></code></span></div>
<div class="block">Get a snapshot of the block at the given location.

 <p>If the given position is out of the bounds of the extent, then the behavior
 is undefined (an air block could be returned). However, <code>null</code>
 should <strong>not</strong> be returned.</p>

 <p>The returned block is immutable and is a snapshot of the block at the time
 of call. It has no position attached to it, so it could be reused in
 <a href="../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern"><code>Pattern</code></a>s and so on.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - position of the block</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the block</dd>
</dl>
</li>
</ul>
<a name="getFullBlock-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFullBlock</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a>&nbsp;getFullBlock(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/extent/InputExtent.html#getFullBlock-com.sk89q.worldedit.math.BlockVector3-">InputExtent</a></code></span></div>
<div class="block">Get a immutable snapshot of the block at the given location.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - position of the block</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the block</dd>
</dl>
</li>
</ul>
<a name="getEntities-com.sk89q.worldedit.regions.Region-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEntities</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>&gt;&nbsp;getEntities(<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a>&nbsp;region)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/extent/Extent.html#getEntities-com.sk89q.worldedit.regions.Region-">Extent</a></code></span></div>
<div class="block">Get a list of all entities within the given region.

 <p>If the extent is not wholly loaded (i.e. a world being simulated in the
 game will not have every chunk loaded), then this list may not be
 incomplete.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>region</code> - the region in which entities must be contained</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of entities</dd>
</dl>
</li>
</ul>
<a name="getEntities--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEntities</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>&gt;&nbsp;getEntities()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/extent/Extent.html#getEntities--">Extent</a></code></span></div>
<div class="block">Get a list of all entities.

 <p>If the extent is not wholly loaded (i.e. a world being simulated in the
 game will not have every chunk loaded), then this list may not be
 incomplete.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of entities</dd>
</dl>
</li>
</ul>
<a name="createEntity-com.sk89q.worldedit.util.Location-com.sk89q.worldedit.entity.BaseEntity-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createEntity</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>&nbsp;createEntity(<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;location,
                                      <a href="../../../../com/sk89q/worldedit/entity/BaseEntity.html" title="class in com.sk89q.worldedit.entity">BaseEntity</a>&nbsp;entity)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/extent/Extent.html#createEntity-com.sk89q.worldedit.util.Location-com.sk89q.worldedit.entity.BaseEntity-">Extent</a></code></span></div>
<div class="block">Create an entity at the given location.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>location</code> - the location</dd>
<dd><code>entity</code> - the entity</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to the created entity, or null if the entity could not be created</dd>
</dl>
</li>
</ul>
<a name="getInstance--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static&nbsp;<a href="../../../../com/sk89q/worldedit/world/NullWorld.html" title="class in com.sk89q.worldedit.world">NullWorld</a>&nbsp;getInstance()</pre>
<div class="block">Return an instance of this null world.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a null world</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/world/NbtValued.html" title="interface in com.sk89q.worldedit.world"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/world/NullWorld.html" target="_top">Frames</a></li>
<li><a href="NullWorld.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
